Bug 153036 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED DUPLICATE of bug 153033
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 22:48 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 01:07:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-03-31 22:48:37 EST
Description of problem:

/usr/share/firstboot/modules/boot_gui.py:70: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.bootView.set_property("headers-visible", gtk.FALSE)
/usr/share/firstboot/modules/boot_gui.py:82: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.myHbox.pack_start(self.timeoutLabel, gtk.FALSE)
/usr/share/firstboot/modules/boot_gui.py:83: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.myHbox.pack_start(self.timeoutEntry, gtk.FALSE)
/usr/share/firstboot/modules/boot_gui.py:164: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  self.bootView.set_cursor(path, self.col, gtk.FALSE)
/usr/share/firstboot/modules/boot_gui.py:165: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  self.bootView.scroll_to_cell(path, self.col, gtk.TRUE, 0.5, 0.5)
/usr/share/firstboot/modules/boot_gui.py:97: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  self.myVbox.pack_start(self.bootViewSW, gtk.TRUE)
/usr/share/firstboot/modules/boot_gui.py:98: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.myVbox.pack_start(self.myHbox, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:130:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  iconBox = gtk.HBox(gtk.FALSE, 5)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:137:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  msgLabel.set_line_wrap(gtk.TRUE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:141:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  toplevel.pack_start(iconBox, gtk.FALSE)
/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py:142:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  toplevel.pack_start(self.myVbox, gtk.TRUE)


Version-Release number of selected component (if applicable):

0.2.8-1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-04-01 01:07:17 EST
Definitely not system-config-boot, this is firstboot at action, and there's a
duplicate too for #153033

*** This bug has been marked as a duplicate of 153033 ***
Comment 2 Harald Hoyer 2005-04-01 05:17:06 EST
/usr/share/firstboot/modules/boot_gui.py was fixed in system-config-boot-0.2.9-1

Note You need to log in before you can comment on or make changes to this bug.